@import '../../../../../styles/global/var';

core-concepts-slide {
    display: block;
}

.core-concepts-slide {
    &__content {
        max-width: 968px;
        margin: 0 auto;
        display: flex;
    }
    &__section {
        display: flex;
        flex: 1 1 33%;
        flex-direction: column;

        &._left {
            align-items: flex-start;
            position: relative;
        }
        &._middle {
            align-items: flex-end;
            position: relative;
        }
        &._right {
            align-items: flex-end;
        }
    }
    &__image {
        &._left {
            margin-bottom: 32px;
            &._arrow {
                position: absolute;
                top: 70px;
                left: 250px;
            }
        }
        &._middle {
            &._arrow {
                position: absolute;
                top: 130px;
                left: 288px;
            }
        }
        &._right {
            margin-bottom: 32px;
        }
    }
    &__text {
        font-size: 12px;
        line-height: 16px;
        color: $black;

        &._left {
            max-width: 266px;
        }
        &._middle {
            margin-bottom: 32px;
            max-width: 233px;
        }
        &._right {
            max-width: 211px;
        }
    }

    @media screen and (max-width: $breakpoint-tablet-m) {
        &__content {
            flex-wrap: wrap;
        }

        &__section {
            &._left {
                align-items: center;
                flex: 1 1 50%;
            }
            &._middle {
                align-items: center;
                flex: 1 1 50%;
            }
            &._right {
                align-items: center;
                flex: 1 1 100%;
                margin-top: 80px;
            }
        }

        &__image {
            &._left {
                &._arrow {
                    left: 80%;
                }
            }
            &._middle {
                &._arrow {
                    left: 30%;
                    top: 106%;
                    transform: rotate(-90deg) scaleX(-1);
                }
            }
        }
    }

    @media screen and (max-width: $screen-sm-min) {
        margin-top: 20px;

        &__section {
            &._left {
                align-items: flex-start;
                flex: 1 1 100%;
                padding-left: 10%;
            }
            &._middle {
                align-items: flex-end;
                flex: 1 1 100%;
                margin-top: 80px;
                padding-right: 10%;
            }
            &._right {
                align-items: flex-start;
                padding-left: 10%;
            }
        }
        &__image {
            &._left {
                &._arrow {
                    left: 20%;
                    top: 110%;
                }
            }
            &._middle {
                &._arrow {
                    left: 55%;
                    top: 130%;
                }
            }
        }
    }

    @media screen and (max-width: $md-screen-xs) {
        margin-top: 0;
        padding: 0 16px;

        &__section {
            &._left {
                align-items: flex-start;
                flex: 1 1 100%;
                padding-left: 16px;
            }
            &._middle {
                align-items: flex-end;
                flex: 1 1 100%;
                margin-top: 80px;
                padding-right: 16px;
            }
            &._right {
                align-items: flex-start;
                padding-left: 16px;
            }
        }
        &__image {
            &._left {
                &._arrow {
                    left: 3%;
                    top: 110%;
                    transform: rotate(25deg);
                }
            }
            &._middle {
                &._arrow {
                    left: auto;
                    top: 130%;
                }
            }
        }
    }
}
